Add "git-sh-setup-script" for common git shell script setup

It sets up the normal git environment variables and a few helper
functions (currently just "die()"), and returns ok if it all looks like
a git archive.  So use it something like

	. git-sh-setup-script || die "Not a git archive"

to make the rest of the git scripts more careful and readable.
diff --git a/git-pull-script b/git-pull-script
index 961edc4..0ef6be3 100755
--- a/git-pull-script
+++ b/git-pull-script
@@ -1,5 +1,7 @@
 #!/bin/sh
 #
+. git-sh-setup-script || die "Not a git archive"
+
 merge_repo=$1
 
 merge_name=$(echo "$1" | sed 's:\.git/*$::')
@@ -15,9 +17,6 @@
    merge_head="refs/${type}s/$2"
 fi
 
-: ${GIT_DIR=.git}
-: ${GIT_OBJECT_DIRECTORY="${SHA1_FILE_DIRECTORY-"$GIT_DIR/objects"}"}
-
 git-fetch-script "$merge_repo" "$merge_head" || exit 1
 
 git-resolve-script \